"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default() {
  return {
    name: "transform-remove-imports",
    visitor: {
      // https://babeljs.io/docs/en/babel-types#importdeclaration
      ImportDeclaration: function ImportDeclaration(path, state) {
        if (state.opts.removeAll) {
          path.remove();
          return;
        }

        if (!state.opts.test) return;
        if (!path.node.source || !path.node.source.value) return;

        if (new RegExp(state.opts.test).test(path.node.source.value)) {
          path.remove();
        }
      }
    }
  };
}